Page MenuHomePhabricator

Make link preview geolocation-aware.
Closed, ResolvedPublic5 Story Points

Description

  1. For articles that have a geolocation (as provided by MCS, or by the Nearby fragment), the link preview shall display an option in overflow menu that says "Get directions". Clicking this will take the user to the default Maps app (e.g. Google Maps) with an intent containing the target location.
  1. When invoked from NearbyFragment, and the user's location is enabled, the link preview shall display the option "Get Directions" directly on the sheet, instead of the overflow menu. The button will appear as an action next to "Read article".

See Article Sheets

  • Event Timeline

    Dbrant created this task.Nov 20 2015, 6:02 PM
    Dbrant raised the priority of this task from to Needs Triage.
    Dbrant updated the task description. (Show Details)
    Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
    Dbrant added a subscriber: Dbrant.
    Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 20 2015, 6:02 PM
    MBinder_WMF set Security to None.
    MBinder_WMF edited a custom field.
    MBinder_WMF edited a custom field.
    MBinder_WMF edited a custom field.
    Dbrant claimed this task.Dec 1 2015, 4:56 PM
    Dbrant moved this task from To Do to Doing on the Mobile-App-Android-Sprint-71-Lutetium board.

    Change 256266 had a related patch set uploaded (by Dbrant):
    WIP: Location-aware link previews.

    https://gerrit.wikimedia.org/r/256266

    Change 256266 merged by jenkins-bot:
    Location-aware link previews.

    https://gerrit.wikimedia.org/r/256266

    @Dbrant Is this available in link preview overflow menus yet? Checking the latest apk from Dec 4.

    Dbrant added a comment.Dec 4 2015, 7:01 PM

    @KHammerstein Good catch; that part of it will actually need to be delayed a bit, since it will need some updates in the content service. It will be done in a separate patch.

    Dbrant closed this task as Resolved.Dec 7 2015, 4:10 PM